.. Permission is granted to copy, distribute and/or modify this
.. document under the terms of the GNU Free Documentation License,
.. Version 1.1 or any later version published by the Free Software
.. Foundation, with no Invariant Sections, no Front-Cover Texts
.. and no Back-Cover Texts. A copy of the license is included at
.. Documentation/userspace-api/media/fdl-appendix.rst.
..
.. TODO: replace it to GFDL-1.1-or-later WITH no-invariant-sections

.. _media-user-func:

******************
Function Reference
******************


.. toctree::
    :maxdepth: 1

    media-func-open
    media-func-close
    media-func-ioctl
    media-ioc-device-info
    media-ioc-g-topology
    media-ioc-enum-entities
    media-ioc-enum-links
    media-ioc-setup-link
    media-ioc-request-alloc
    request-func-close
    request-func-ioctl
    request-func-poll
    media-request-ioc-queue
    media-request-ioc-reinit
